diff --git a/src/Fl_Text_Display.cxx b/src/Fl_Text_Display.cxx
index 7bd2210..d2e627a 100644
--- a/src/Fl_Text_Display.cxx
+++ b/src/Fl_Text_Display.cxx
@@ -3371,7 +3371,12 @@ void Fl_Text_Display::wrapped_line_counter(Fl_Text_Buffer *buf, int startPos,
         newLineStart = max(p, buf->next_char(lineStart));
         const char *s = buf->address(b);
         colNum++;
-        width = measure_proportional_character(s, 0, p+styleBufOffset);
+	if (b >= buf->length() || p >= buf->length()) {
+	  // printf("******* width = 0 *******\n");
+	  width = 0;
+	} else {
+	  width = measure_proportional_character(s, 0, p+styleBufOffset);
+	}
       }
       if (p >= maxPos) {
         *retPos = maxPos;
